Upgrade from 3.8-14.09 to latest version

So It has been ages since I have upgraded versions and I remember reading a while back you had to upgrade to a certain version before going to the latest. Could someone point me in the right direction to upgrades. Also is RAID 5/6 still broken?

@tobb555 Hello. Given you are pre-3.8.15 I think the first potential upgrade bump is explained in the following post:


which would suggest that you should first upgrade to exactly 3.8.15 and then make sure to reboot there after, details in the above post.
There after we had another upgrade glitch but it was intermittent and so may not affect you anyway.
This second glitch is covered, along with it’s ‘show’ and resolution in:

The NextCloud Rockon mention is a ‘red herring’ in the above but the thread covers the indication of the intermittent database update problem and how to ensure it gets applied as intended. But it may not affect you so initially just make sure to stop off at 3.8.15 and reboot and let things settle there then take it from there.

Hope that helps.

Re btrfs Raid 5/6: it’s never been recommended for production use but there are quite a few fixes on their way. Probably kernel 4.12 - 4.14 along with equivalent btrfs-progs before it’s worth looking into it again unless your game to help with it’s development of course. Quite a few pointer recently in the following forum post on this subject: